Plugin for maia 94.xxx ??

It seems that the blog says the plugin was updated for maia (RubyMine EAP build 715, February 17th, 2009 by Eugene Toporov), but the last update on the referenced plugin page was back in December. Am I missing something?

3 comments

Whoops. That post is a year old.

But still, any word on when we maia eap'ers get our ruby back?

0

Ping: Anyone from Jetbrains here?

0

I'm not from Jetbrains but here's what i did to get the plugin to work on the 94.xx builds.
As it turns out, the current plugin code works just fine with the 94.xx builds, you just have to change the plugin descriptor so that it declares to support this build.

So, go to $USER_HOME/.IntelliJIdea90/config/plugins/ruby/lib and unzip the ruby.jar to some directory.
Edit the META-INF/plugin.xml file and change the until-build attribute on the idea-version element to 95.0.

Create zip the directory contents again into a file called ruby_94.jar and place it in the $USER_HOME/.IntelliJIdea90/config/plugins/ruby/lib and move the old ruby.jar to a safe location just in case.
That's it. Hope it works for you.

0

Please sign in to leave a comment.